import sqlite3

# Cambia la ruta al archivo de tu base de datos
db_path = r'C:\Users\ensan\OneDrive\Documentos\EnginyeriaInformatica-UB\TFG\GITHUB\TFG\tfg_db.sqlite'

conn = sqlite3.connect(db_path)
cur = conn.cursor()

# Actualiza los registros con tipo_catering vacío a NULL
cur.execute("UPDATE mobiliaridecoracio SET tipologia = 'BARRILES_TONELADAS_CHILL_OUT' WHERE tipologia = 'BARRAS_BARRILES_TONELES_CHILL-OUT'")
conn.commit()

# Opcional: Verifica cuántos registros fueron afectados
print("Registros actualizados:", cur.rowcount)

conn.close()
    